[Date Prev][Date Next] [Chronological] [Thread] [Top]

OpenLDAP with Kerberos support


after spending the past couple of weeks bashing my head against a brick wall with GSSAPI
I decided to try a really simple installation. So I have heimdal 0.3c installed, no SSL, no SASL
and have just tried to configure OpenLDAP (v2.0.6) with the following options:

	./configure --with-kerberos --enable-kpasswd

and got the following failure:

checking for krb5.h... yes
checking for heim_err.h... yes
checking for main in -lkrb5... no
configure: error: Required Kerberos 5 support not available

Is the heimdal implementation of Kerberos 5 supported by OpenLDAP? Can anyone shed any
light on my problem(s)?

Many thanks,


Alex Stepney - Systems Engineer
Bluewave Ltd - Online Creations
Tel. +44 (0)20 7706 3500